
Packaging - Feature #33095

Feature # 33209 (New): Provide a common package prefix for plugins

Use "Provides" for hammer plugins too

07/21/2021 01:33 PM - Evgeni Golov

Status: New   

Priority: Normal   

Assignee:    

Category: RPMs   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

In Foreman plugins, we have "Provides: foreman-plugin-NAME" in the RPM spec (

https://github.com/theforeman/foreman-packaging/blob/b08c7dfbce44fa427bc0eb7caea181a7ff49187d/gem2rpm/foreman_plugin.sp

ec.erb#L90-L91)

We should have something similar for Hammer plugins (

https://github.com/theforeman/foreman-packaging/blob/b08c7dfbce44fa427bc0eb7caea181a7ff49187d/gem2rpm/hammer_plugin.sp

ec.erb#L52)

Related issues:

Related to Installer - Feature #33099: Use a common prefix for Foreman Proxy ... New

Blocks Installer - Bug #33097:  Use virtual package names for Hammer plugins New

History

#1 - 07/21/2021 01:39 PM - Evgeni Golov

- Blocks Bug #33097:  Use virtual package names for Hammer plugins added

#2 - 07/21/2021 02:57 PM - Ewoud Kohl van Wijngaarden

We should also make sure we perform the Debian equivalent so we can perform apt/yum install hammer-plugin-$plugin. This will be easier for anyone

who wants to write integration in a cross platform fashion (in our case Puppet).

#3 - 07/21/2021 03:53 PM - Ewoud Kohl van Wijngaarden

- Related to Feature #33099: Use a common prefix for Foreman Proxy plugins added

#4 - 08/04/2021 02:32 PM - Ewoud Kohl van Wijngaarden

- Tracker changed from Bug to Feature

- Parent task set to #33209
